;******************************************************************************
; file:      eval1.h
; content:   evaluation for sf32b processors
; author:    Martin Raubuch
; created:   06Jan2014
; modified:  06Jan2014
; Property of RACORS GmbH, Ginsterweg 1a, 85598 Baldham, Germany
;******************************************************************************

;************************ Instruction Address Space ***************************
   .set PrgStart       ,0x00000000 ; Program start in appl. mode
;********************* Direct Address Global Variables ************************
; 0x00000000 - 0x00007fff
;******************************************************************************
   .set NumStrBuf      ,0x00000020 ; B[3] number string buffer
;********************* data address space large objects ***********************
   .set SieveBuf       ,0x00000200 ; B[1000] Sieve (prime numbers) buffer
   .set TopOfStk       ,0x0002ffc0 ; top of stack
   .set IrVecTab       ,0x0002ffc0 ; L[16] interrupt vector table
   .set ConData        ,0x00030000 ; constant data
;************************** Standard-Out Peripheral ***************************
   .set SimCyc         ,0xfffffffe ; B: write-only peripheral, print sim cycle
   .set StdOut         ,0xffffffff ; B: write-only peripheral, standard out
